Bug 733871 - Amarok 2.4.3-1.fc14 update brings 100% CPU usage on load
Summary: Amarok 2.4.3-1.fc14 update brings 100% CPU usage on load
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: amarok
Version: 14
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-28 01:40 UTC by bztdlinux
Modified: 2012-08-16 15:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 15:13:38 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
KDE Software Compilation 278897 None None None Never

Description bztdlinux 2011-08-28 01:40:25 UTC
Description of problem:
The amarok 2.4.3-1.fc14 update introduced a bug where upon loading amarok, it uses 100% CPU with no disk activity.

Version-Release number of selected component (if applicable):
2.4.3-1.fc14

How reproducible:
Seems to occur always. I have a moderate sized music library and no special features are being used.

Steps to Reproduce:
1. Start amarok.
2. Look at CPU meter in top.
3. Look at disk usage in iotop.
  
Actual results:
amarok uses as much CPU as possible. No disk usage occurs, ruling out a collection rescan.

Expected results:
amarok uses almost no CPU when idling.

Additional info:
The new collection background is ugly. But I can live with that.
It seemed that dbus-daemon's CPU usage increased a percent or two when amarok was running, but dbus-monitor shows no messages related to amarok after start on either bus.

Comment 1 bztdlinux 2011-08-29 19:37:01 UTC
Turns out this bug only occurs when context view is hidden and there are widgets in context view (e.g. hide context view with default configuration).

Upstream KDE Bug:
https://bugs.kde.org/show_bug.cgi?id=279144

Comment 2 Martin Kho 2011-09-30 20:26:11 UTC
Hi,

As possible workarounds you have two options (both work for me):

1. to put in a the file .kde/env/workaround.sh: [1]

( sleep 10 && dbus-send --type=method_call --dest=org.kde.amarok
/amarok/MainWindow com.trolltech.Qt.QWidget.showMinimized && dbus-send
--type=method_call --dest=org.kde.amarok /amarok/MainWindow
com.trolltech.Qt.QWidget.hide )&

2. remove all plasmoids [2]

Hope this helps,

Martin Kho


[1] https://bugs.kde.org/show_bug.cgi?id=278897, #21
[2] https://bugs.kde.org/show_bug.cgi?id=278897, #25

Comment 3 Fedora End Of Life 2012-08-16 15:13:41 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.